#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define	pdir	Email
%define	pnam	MessageID
Summary:	Email::MessageID - generate world unique message-ids
Summary(pl.UTF-8):	Email::MessageID - generowanie unikalnych w skali świata message-id
Name:		perl-Email-MessageID
Version:	1.402
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ceadc7110336fa0de0da5e2c49be8235
URL:		http://search.cpan.org/dist/Email-MessageID/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Address >= 1.3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Message-ids are optional, but highly recommended, headers that
identify a message uniquely. This software generates a unique
message-id.

%description -l pl.UTF-8
Message-ID to opcjonalne, ale zdecydowanie zalecane nagłówki unikalnie
identyfikujące wiadomość. Ten moduł generuje unikalne Message-ID.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Email-MessageID.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 6ed944e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 65972cb
- up to 1.402

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 2cbce38
- updated to 1.401

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 98cc9d5
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 496b4ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9b5f322
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 37f7f78
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> c62aea2
- up to 1.35, rel 0.1, builds here

* Sun Dec 26 2004 darekr <darekr@pld-linux.org> 429b71d
- aaaand added README to %doc

* Sun Dec 26 2004 darekr <darekr@pld-linux.org> 3c718f3
- updated to 1.31

* Thu Dec 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 9e47f94
- pl desc

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> c3dd12a
- pl summary, formatting

* Thu Dec 09 2004 radek <radek@pld-linux.org> c184655
- new

